Create an Agent Copilot Configuration - Cognigy Documentation

Create an Agent Copilot Configuration

Request

POST /v2.0/aicopilotconfigs

Example cURL request

curl --request POST \
  --url https://api-trial.cognigy.ai/new/v2.0/aicopilotconfigs \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "config": {
    "grid": {
      "columns": 123,
      "rows": 123,
      "gap": 123
    },
    "tiles": {
      "tile-id": {
        "x": 123,
        "y": 123,
        "columns": 123,
        "rows": 123
      }
    }
  },
  "projectId": "<string>"
}
'

Request Body

Response

201 application/json

Returns the Agent Copilot Configuration object.

{
  "name": "<string>",
  "description": "<string>",
  "config": {
    "grid": {
      "columns": 123,
      "rows": 123,
      "gap": 123
    },
    "tiles": {
      "tile-id": {
        "x": 123,
        "y": 123,
        "columns": 123,
        "rows": 123
      }
    }
  },
  "referenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "_id": "<string>",
  "createdAt": 1694518620,
  "lastChanged": 1694518620,
  "createdBy": "<string>",
  "lastChangedBy": "<string>"
}

Error Responses

400 Bad Request
Validation failed. Missing payload.

401 Unauthorized
You are not authorized to perform this operation.

403 Forbidden
Access to the resource is denied.

404 Not Found
The requested resource could not be found.

500 Internal Server Error
An internal server error occurred.

Authorizations